### Class

# CM User

#### Description

    class CM.User : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- CmAccount

#### Instance methods

###### cm_user_get_avatar_async

No description available.

###### cm_user_get_avatar_finish

Finishes an asynchronous operation started with `cm_user_get_avatar_async()`.

###### cm_user_get_avatar_url

No description available.

###### cm_user_get_display_name

Get the user’s human readable display name.

###### cm_user_get_id

Get the user’s matrix id.

###### cm_user_load_info_async

No description available.

###### cm_user_load_info_finish

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### CM.User::changed

Changed signal is emitted when name or avatar of the user changes.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CMUserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.